curl --request POST \
--url https://api.getcargo.io/v1/ai/suggestedActions/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cacheKey": "<string>",
"messageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"systemPrompt": "<string>",
"contextPrompt": "<string>",
"agentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"capabilities": [
{
"slug": "<string>"
}
]
}
'{
"suggestedActions": [
{
"text": "<string>",
"actions": [
{
"slug": "<string>"
}
]
}
]
}Generate suggested actions for a chat
curl --request POST \
--url https://api.getcargo.io/v1/ai/suggestedActions/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cacheKey": "<string>",
"messageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"systemPrompt": "<string>",
"contextPrompt": "<string>",
"agentUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actions": [
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isBulkAllowed": true,
"config": {},
"kind": "<string>",
"toolUuid": "<string>",
"templateSlug": "<string>"
}
],
"resources": [
{
"kind": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"integrationSlug": "<string>",
"modelUuid": "<string>",
"filter": {
"conjonction": "or",
"groups": [
"<unknown>"
]
},
"selectedColumnSlugs": [
"<string>"
],
"limit": 123,
"prompt": "<string>"
}
],
"capabilities": [
{
"slug": "<string>"
}
]
}
'{
"suggestedActions": [
{
"text": "<string>",
"actions": [
{
"slug": "<string>"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Cache key for suggested actions.
Message identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$System prompt to use for generation.
Additional context for generation.
Agent identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Actions available for generation.
Show child attributes
Resources available for generation.
Show child attributes
Capabilities available for generation.
Show child attributes
Successful response
Generated suggested actions.
Show child attributes
Was this page helpful?